# Requirements

## Server Requirements

The LogViewer package has a few system requirements:

    - PHP >= 5.5.9

## Application Requirements

LogViewer support only the daily log handler, so make sure that you log handler is set to `daily` instead of `single`:

```php
// config\app.php
return [
    ...

    /*--------------------------------------------------------------------------
     | Logging Configuration
     |--------------------------------------------------------------------------
     | Available Settings: "single", "daily", "syslog", "errorlog"
     */
    'log' => 'daily',

    ...
];
```

Laravel uses the [Monolog PHP logging library](https://github.com/Seldaek/monolog). This gives you a variety of powerful log handlers/formatters to utilize.
