# Installation & Setup

## Composer
You can install this package via [Composer](http://getcomposer.org/) by running this command: `composer require "arcanedev/log-viewer:~3.0"`.

Or by adding the package to your `composer.json`

```json
{
    "require": {
        "arcanedev/log-viewer": "~3.0"
    }
}
```

Then install it via `composer install` or `composer update`.

## Laravel

### Setup
Once the package is installed, you can register the service provider in `config/app.php` in the `providers` array:

```php
'providers' => [
    ...
    Arcanedev\LogViewer\LogViewerServiceProvider::class,

    // for PHP 5.4 (Or the ugly way) :
    // 'Arcanedev\LogViewer\LogViewerServiceProvider'
],
```

> No need to register the LogViewer facade, it's done automagically.

### Artisan commands

To publish the config and translations files, run this command:

```bash
php artisan log-viewer:publish
```
##### To force publishing

```bash
php artisan log-viewer:publish --force
```

##### Publishing the config only

```bash
php artisan log-viewer:publish --tag=config
```

> To force publishing add `--force` flag.

##### Publishing the translations only

```bash
php artisan log-viewer:publish --tag=translations
```

> To force publishing add `--force` flag.

#### Application requirements & log files check

```bash
php artisan log-viewer:check
```

# DONE !

Go to `http://{your-project}/log-viewer` (See the [Configuration](https://github.com/ARCANEDEV/LogViewer/wiki/3.-Configuration) page to change the uri and other stuff).
